<!--##
<NAME>Affiliate - Payment Type</NAME>
<DESC>Affiliate Payment Type page</DESC>
<SECTION>My Account||Store||Affiliates</SECTION>
##-->

<inp2:m_RequireLogin login_template="platform/login/register"/> <!--## LOGIN REQUIRED ##-->
<inp2:m_CheckSSL mode="required" condition="Require_SSL" /> <!--## CHECK IF SSL REQUIRED ##-->
<inp2:m_RequireAffiliate registration_template="in-commerce/my_account/affiliate/affiliate" /> <!--## MUST BE AN AFFILIATE ##-->

<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:m_Phrase label="lu_title_AffiliatePaymentType"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<!--## SIDE-BAR ELEMENT ##-->
<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/cart_indicator.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_if check="u_IsAffiliate">
				<inp2:m_RenderElement name="in-commerce/elements/side_boxes/affiliate_navigation.elm" design="blue_box"/>
			</inp2:m_if>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/top_seller_products.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/recent_products.elm" design="blue_box" data_exists="1"/>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /SIDE-BAR ELEMENT ##-->

<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm" titles="lu_title_MyAccount,lu_title_Affiliate,lu_title_AffiliateStatistics,lu_title_AffiliatePaymentType" templates="platform/my_account/my_account,in-commerce/my_account/affiliate/affiliate,in-commerce/my_account/affiliate/affiliate_statistics,in-commerce/my_account/affiliate/affiliate_payment_type"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement design="content_box">

				<inp2:m_Capture to_var="header">
					<inp2:m_Phrase label="lu_title_AffiliatePaymentType"/>
				</inp2:m_Capture>

				<table class="form-data fullwidth">
					<tr>
						<td class="field-name" style="width:155px">
							<strong><inp2:m_Phrase label="lu_CurrentAffiliatePaymentType" />:</strong>
						</td>
						<td class="field-name"><inp2:u_AffiliateField name="PaymentTypeId" /></td>
					</tr>
					<tr><td colspan="2" style="padding-left:15px"><inp2:m_Phrase label="lu_ChangeAffiliatePaymentTypeDescription"/><br /><br /></td></tr>
				</table>

				<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/grey_pix.gif" width="100%" height="1" align="absmiddle" alt="" /><br />
				<br />
				<inp2:m_include template="in-commerce/elements/forms.elm"/>
				<form method="post" action="<inp2:m_FormAction/>">
					<table border="0" class="form-data fullwidth">
						<inp2:m_RenderElement name="inp_affiliate_payment_types" field="PaymentTypeId" title="lu_fld_AffiliatePaymentType" style="width:155px"/>
						<inp2:m_RenderElement name="inp_affiliate_textarea" field="Comments" title="lu_fld_AffiliateComments" cols="35" rows="5" style="width:155px" is_last="1"/>

						<inp2:m_RenderElement design="inp_edit_buttons">
							<input type="hidden" name="next_template" value="in-commerce/my_account/affiliate/affiliate_payment_type_changed" />
							<input type="submit" class="button" name="events[affil][OnChangePaymentType]" id="events[affil][OnChangePaymentType]" value="<inp2:m_Phrase label="lu_ChangePaymentType"/>" />
						</inp2:m_RenderElement>
					</table>
				</form>
			</inp2:m_RenderElement>
		</div>
	</div>
</inp2:m_DefineElement>

<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>