<!--##
<NAME>User Addresses</NAME>
<DESC>List of User Addresses</DESC>
<SECTION>My Account||Store</SECTION>
##-->

<inp2:m_RequireLogin login_template="platform/login/register"/> <!--## LOGIN REQUIRED ##-->

<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:m_Phrase label="lu_comm_MyAddresses"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<!--## SIDE-BAR ELEMENT ##-->
<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/cart_indicator.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/categories.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/top_seller_products.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/recent_products.elm" design="blue_box" data_exists="1"/>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /SIDE-BAR ELEMENT ##-->

<!--## MAIN CONTENT ##-->
<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm" titles="lu_title_MyAccount,lu_title_MyAddresses" templates="platform/my_account/my_account,in-commerce/my_account/my_addresses"/>

			<inp2:m_RenderElement design="content_box">
				<inp2:addr_InitList list_name="my_addresses" types="myaddresses"/>

				<inp2:m_Capture to_var="header">
					<inp2:m_Phrase label="lu_comm_MyAddresses"/>
				</inp2:m_Capture>

				<inp2:m_include template="in-commerce/elements/addresses.elm"/>

				<inp2:m_if check="ord_AllowAddAddress">
					<a href="<inp2:m_Link template="in-commerce/my_account/new_address"/>"><inp2:m_Phrase label="lu_btn_NewAddress"/></a>
					<br /><br />
				</inp2:m_if>

				<inp2:m_if check="addr_TotalRecords" list_name="my_addresses">
					<table class="fullwidth">
						<tr>
							<td colspan="4">
								<div class="horizontal-separator"><img src="<inp2:m_TemplatesBase module="In-Portal"/>img/s.gif" width="1" height="1" alt="" /></div>
							</td>
						</tr>
						<tr class="sub-section-header">
							<td><inp2:m_Phrase label="lu_Address"/></td>
							<td><inp2:m_Phrase label="lu_ContactInfo"/></td>
							<td><inp2:m_Phrase label="lu_AddressUsedAs"/></td>
							<td>&nbsp;</td>
						</tr>
						<inp2:addr_PrintList list_name="my_addresses" render_as="my_address_element" direction="H"/>
					</table>

					<inp2:m_include template="platform/elements/pagination.elm" prefix="addr" list_name="my_addresses"/>
				<inp2:m_else/>
					<strong><inp2:m_Phrase label="lu_comm_DontHaveAddresses"/></strong>
				</inp2:m_if>
			</inp2:m_RenderElement>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /MAIN CONTENT ##-->

<!--## DESIGN TEMPLATE ##-->
<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>
<!--## /DESIGN TEMPLATE ##-->