<!--##
<NAME>User Orders</NAME>
<DESC>List of User Orders</DESC>
<SECTION>My Account||Store</SECTION>
##-->

<inp2:m_RequireLogin login_template="platform/login/register"/> <!--## LOGIN REQUIRED ##-->
<inp2:m_CheckSSL mode="required" condition="Require_SSL" /> <!--## CHECK IF SSL REQUIRED ##-->

<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:m_phrase name="lu_title_MyOrders"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<!--## SIDE-BAR ELEMENT ##-->
<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/cart_indicator.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/top_seller_products.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/recent_products.elm" design="blue_box" data_exists="1"/>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /SIDE-BAR ELEMENT ##-->

<!--## MAIN CONTENT ##-->
<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm" titles="lu_title_MyAccount,lu_title_MyOrders" templates="platform/my_account/my_account,in-commerce/my_account/my_orders"/>
		</div>
		<div class="movable-element">
			<!--## my orders ##-->
			<inp2:m_RenderElement design="content_box" block_no_data="no_orders">
				<inp2:ord_InitList list_name="my_orders" types="myorders"/>

				<inp2:m_Capture to_var="header">
					<inp2:m_phrase name="lu_title_MyOrders"/> (<inp2:ord_TotalRecords list_name="my_orders"/>)
				</inp2:m_Capture>

				<inp2:m_include template="in-commerce/elements/orders.elm"/>

				<table class="fullwidth">
					<tr>
						<td colspan="4">
							<div class="horizontal-separator"><img src="<inp2:m_TemplatesBase module="In-Portal"/>img/s.gif" width="1" height="1" alt="" /></div>
						</td>
					</tr>
					<tr  class="sub-section-header">
						<td><inp2:m_Phrase label="lu_comm_OrderNumberText"/></td>
						<td><inp2:m_Phrase label="lu_comm_Date"/></td>
						<td><inp2:m_Phrase label="lu_comm_Amount"/></td>
						<td><inp2:m_Phrase label="lu_comm_Status"/></td>
					</tr>
					<inp2:ord_PrintList list_name="my_orders" render_as="my_order_element"/>
				</table>

				<inp2:m_include template="platform/elements/pagination.elm" prefix="ord" list_name="my_orders"/>
			</inp2:m_RenderElement>
			<!--## // my orders ##-->
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /MAIN CONTENT ##-->

<!--## DESIGN TEMPLATE ##-->
<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>
<!--## /DESIGN TEMPLATE ##-->