<!--##
<NAME>Add New Address</NAME>
<DESC>Add New Address Form</DESC>
<SECTION>My Account||Store</SECTION>
##-->

<inp2:m_RequireLogin login_template="platform/login/register"/> <!--## LOGIN REQUIRED ##-->

<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:m_Phrase label="lu_title_AddAddress"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<!--## SIDE-BAR ELEMENT ##-->
<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/cart_indicator.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/top_seller_products.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/recent_products.elm" design="blue_box" data_exists="1"/>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /SIDE-BAR ELEMENT ##-->

<!--## MAIN CONTENT ##-->
<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm" titles="lu_title_MyAccount,lu_title_MyAddresses,lu_title_AddAddress" templates="platform/my_account/my_account,in-commerce/my_account/my_addresses,in-commerce/my_account/new_address"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement design="content_box">
				<inp2:addr_PresetFormFields/>

				<inp2:m_Capture to_var="header">
					<inp2:m_Phrase label="lu_title_AddAddress"/>
				</inp2:m_Capture>

				<form method="post" action="<inp2:m_FormAction />">
					<span class="field-required">*</span> <inp2:m_phrase name="lu_IndicatesRequired"/><br /><br />

					<inp2:m_if check="addr_HasError" field="any">
						<inp2:m_RenderElement name="error_message" />
					</inp2:m_if>

					<inp2:m_if check="u.current_Field" name="cust_shipping_addr_block">
						<strong><inp2:m_Phrase label="lu_AddressModificationBlocked"/></strong>
					<inp2:m_else/>
						<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/grey_pix.gif" width="100%" height="1" align="absmiddle" alt="" /><br /><br />

						<table class="form-data fullwidth">
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="To" title="lu_fld_FullName"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="Company" title="lu_fld_Company"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="Address1" title="lu_fld_AddressLine1"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="Address2" title="lu_fld_AddressLine2"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="City" title="lu_fld_City"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="State" title="lu_fld_State"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="Zip" title="lu_fld_ZipCode"/>
							<inp2:m_RenderElement name="inp_edit_options" prefix="addr" field="Country" title="lu_fld_Country"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="Phone" title="lu_fld_Phone"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="Fax" title="lu_fld_Fax"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="addr" field="Email" title="lu_fld_Email"/>
							<inp2:m_RenderElement name="inp_edit_checkbox" prefix="addr" field="LastUsedAsShipping" title="lu_fld_LastUsedAsShipping"/>
							<inp2:m_RenderElement name="inp_edit_checkbox" prefix="addr" field="LastUsedAsBilling" title="lu_fld_LastUsedAsBilling" is_last="1"/>

							<inp2:m_RenderElement design="inp_edit_buttons">
								<input class="button" type="submit" name="events[addr][OnCreate]" value="<inp2:m_Phrase label="lu_btn_Create"/>"/>
								<input type="hidden" name="next_template" value="in-commerce/my_account/my_addresses"/>
							</inp2:m_RenderElement>
						</table>
					</inp2:m_if>
				</form>
			</inp2:m_RenderElement>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /MAIN CONTENT ##-->

<!--## DESIGN TEMPLATE ##-->
<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>
<!--## /DESIGN TEMPLATE ##-->